Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.protocol.v2
Class SendResponseType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.mycarenet.commons.protocol.v2.SendResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RegisterToMycarenetServiceResponse, TarificationConsultationResponse

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:31:04+02:00",
               comments="JAXB RI v2.2.11")
    public class SendResponseType

extends ResponseType
implements Serializable

Generic synchronised response type. A SendResponseType contains a single Return element.

Java class for SendResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Return" type="{urn:be:fgov:ehealth:mycarenet:commons:protocol:v2}ResponseReturnType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SendResponseType()`

Method Summary
`ResponseReturnType` | `getReturn()` Gets the value of the return property.
`void` | `setReturn(ResponseReturnType value)` Sets the value of the return property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendResponseType

    public SendResponseType()

Method Detail

### getReturn

    public ResponseReturnType getReturn()

  Gets the value of the return property.

  Returns:
    possible object is `ResponseReturnType`

### setReturn

    public void setReturn(ResponseReturnType value)

  Sets the value of the return property.

  Parameters:
    `value` - allowed object is `ResponseReturnType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.